efl::eina::basic_string_view< CharT, Traits > Class Template Reference

Public Types | Public Member Functions | Static Public Attributes | Friends
efl::eina::basic_string_view< CharT, Traits > Class Template Reference

## Public Types
typedef Traits | traits_type
typedef CharT | value_type
typedef CharT & | reference
typedef CharT const & | const_reference
typedef CharT * | pointer
typedef CharT const * | const_pointer
typedef const_pointer | const_iterator
typedef const_iterator | iterator
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef std::ptrdiff_t | difference_type
typedef std::size_t | size_type

## Public Member Functions
| basic_string_view (basic_string_view< CharT, Traits > const &other) noexcept=default
| basic_string_view (basic_string_view< CharT, Traits > &&other) noexcept=default
template<typename Allocator >
| basic_string_view (std::basic_string< CharT, Traits, Allocator > const &str) noexcept
| basic_string_view (CharT const *c_str)
basic_string_view< CharT, Traits > & | operator= (basic_string_view< CharT, Traits > const &other) noexcept=default
basic_string_view< CharT, Traits > & | operator= (basic_string_view< CharT, Traits > &&other) noexcept=default
const_iterator | begin () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | end () const noexcept
const_iterator | cend () const noexcept
const_reverse_iterator | rbegin () const noexcept
const_reverse_iterator | crbegin () const noexcept
const_reverse_iterator | rend () const noexcept
const_reverse_iterator | crend () const noexcept
size_type | size () const noexcept
size_type | length () const noexcept
bool | empty () const noexcept
const_reference | operator[] (size_type pos) const
const_reference | at (size_type pos) const
const_reference | front () const
const_reference | back () const
CharT const * | data () const noexcept
size_type | copy (CharT *s, size_type len, size_type pos=0) const
int | compare (basic_string_view< CharT, Traits > const &s) const
int | compare (size_type pos, size_type len, basic_string_view< CharT, Traits > const &s) const
int | compare (size_type pos1, size_type len1, basic_string_view< CharT, Traits > const &s, size_type pos2, size_type len2) const
bool | starts_with (CharT c) const
bool | starts_with (basic_string_view< CharT, Traits > const &s) const
bool | ends_with (CharT c) const
bool | ends_with (basic_string_view< CharT, Traits > const &s) const
size_type | find (basic_string_view< CharT, Traits > const &s) const
size_type | find (basic_string_view< CharT, Traits > const &s, size_type pos) const
size_type | find (CharT c) const
size_type | find (CharT c, size_type pos) const
size_type | rfind (basic_string_view< CharT, Traits > const &s) const
size_type | rfind (basic_string_view< CharT, Traits > const &s, size_type pos) const
size_type | rfind (CharT c) const
size_type | rfind (CharT c, size_type pos) const
size_type | find_first_of (CharT c) const
size_type | find_last_of (CharT c) const
size_type | find_first_of (basic_string_view< CharT, Traits > const &s) const
size_type | find_last_of (basic_string_view< CharT, Traits > const &s) const
size_type | find_first_not_of (basic_string_view< CharT, Traits > const &s) const
size_type | find_first_not_of (CharT c) const
size_type | find_last_not_of (basic_string_view< CharT, Traits > const &s) const
size_type | find_last_not_of (CharT c) const
std::basic_string< CharT, Traits > | substr (size_type pos, size_type len=npos) const
std::basic_string< CharT, Traits > | to_string () const
std::basic_string< CharT, Traits > | str () const
template<typename Allocator >
| operator std::basic_string< CharT, Traits, Allocator > () const
void | swap (basic_string_view< CharT, Traits > &s)

## Static Public Attributes
static constexpr size_type | npos = size_type(-1)

## Friends
bool | operator== (basic_string_view< CharT, Traits > const &s1, basic_string_view< CharT, Traits > const &s2)
bool | operator!= (basic_string_view< CharT, Traits > const &s1, basic_string_view< CharT, Traits > const &s2)
bool | operator< (basic_string_view< CharT, Traits > const &s1, basic_string_view< CharT, Traits > const &s2)
bool | operator> (basic_string_view< CharT, Traits > const &s1, basic_string_view< CharT, Traits > const &s2)
bool | operator<= (basic_string_view< CharT, Traits > const &s1, basic_string_view< CharT, Traits > const &s2)
bool | operator>= (basic_string_view< CharT, Traits > const &s1, basic_string_view< CharT, Traits > const &s2)